async function upgradeBrowserForWebAuthnVirtualAuthenticator(page, logger) {
    const client = await page.context().newCDPSession(page);
    await client.send("WebAuthn.enable");
    const options = {
        transport: "internal",
        protocol: "ctap2",
        isUserVerified: true,
        hasUserVerification: true,
        hasPersistentKey: false,
    };
    return await client.send("WebAuthn.addVirtualAuthenticator", { options: options });
}

upgradeBrowserForWebAuthnVirtualAuthenticator.rfdoc = "Upgrade Browser to use Virtual Authenticator"
exports.__esModule = true;
exports.upgradeBrowserForWebAuthnVirtualAuthenticator = upgradeBrowserForWebAuthnVirtualAuthenticator;
