*** Settings ***
Documentation        Check Beamer Page

Resource             ../Keywords/django.resource
Resource             ../Keywords/registration_and_login.resource
Library              solawi_uat.helper.RandomTestDataLib
Library              solawi_uat.helper.TimingLib
Library              String

Suite Setup       Solawi-Suite Inner Setup
Suite Teardown    Solawi-Suite Inner Teardown


*** Keywords ***
Get Screen Code
    Open Page      /beamer/
    Get Element    css=header
    Hover          css=header
    ${code} =      Get Text    css=header b
    Length Should Be    ${code}    16
    Should Match Regexp    ${code}    ^\\d{16}$
    RETURN    ${code}

*** Test Cases ***
Beamer Page Has Screen Code
    ${code1} =    Get Screen Code
    Delete All Cookies
    ${code2} =    Get Screen Code
    Delete All Cookies
    ${code3} =    Get Screen Code
    Should Not Be Equal As Strings    ${code1}    ${code2}
    Should Not Be Equal As Strings    ${code2}    ${code3}
    Should Not Be Equal As Strings    ${code3}    ${code1}
    ${code4} =    Get Screen Code
    Should Be Equal As Strings        ${code3}    ${code4}
    ${code5} =    Get Screen Code
    Should Be Equal As Strings        ${code3}    ${code5}

Communication To Beamer Works
    Get Browser
    ${now} =    Now
    Get Context
    ${username} =    Get Random E-Mail Address
    Run Manage.Py Command    invite_user    ${username}    --module    beamer
    ${mail_content} =    Get Latest Mail    ${now}
    ${user_page} =    Do Registration And Login As User "${username}"    ${mail_content}
    Get Context
    ${beamer_page} =    New Page    ${HOST}/beamer/
    ${code} =    Get Screen Code
    Switch Page    ${user_page}    ALL
    Click    css=header ul.nav li.nav-item a[href="/beamer/connections"]
    Fill Text    css=input[name="screen_code"]    ${code}
    Press Keys    css=input[name="screen_code"]    Enter
    Click    css=a[href="/beamer/connection/${code}"].btn.btn-sm
    ${test_text} =    Get Random Last Name
    Fill Text    css=input[name="message"]    ${test_text}
    Press Keys    css=input[name="message"]    Enter
    Switch Page    ${beamer_page}    ALL
    Get Text    css=section.present    *=    Test
    Get Text    css=section.present    *=    ${test_text}
