*** Settings ***
Documentation        Tests for using Emergency Codes for Login
Resource             ../Keywords/django.resource
Resource             ../Keywords/registration_and_login.resource
Library              solawi_uat.helper.RandomTestDataLib
Library              solawi_uat.helper.TimingLib
Library              String

Suite Setup       Solawi-Suite Inner Setup
Suite Teardown    Solawi-Suite Inner Teardown


*** Test Cases ***
Check For Notification, Create New Codes, Login With Code
    ${now} =    Now
    ${username} =    Get Random E-Mail Address
    Run Manage.Py Command    invite_user    ${username}
    ${mail_content} =    Get Latest Mail    ${now}
    ${password} =    Get Random Password
    Do Registration And Login As User "${username}"    ${mail_content}    ${True}    ${password}
    Get Element    css=header div[role="alert"].alert-danger.alert-dismissible a[href^="/users/self-service/emergency-codes"].btn.btn-sm
    Click    css=header div[role="alert"].alert-danger.alert-dismissible a[href^="/users/self-service/emergency-codes"].btn.btn-sm
    Get Url    *=    /users/self-service/emergency-codes
    Click     css=form[method="post"]:not([action]) button[type="submit"].btn.btn-danger
    ${codes} =    Get Text    css=main div.card div.card-body pre.text-center
    Logout
    Go To    ${HOST}/users/auth/login
    Fill Text    css=input[name="username"]    ${username}
    Fill Text    css=input[name="password"]    ${password}
    Click        css=button[type="submit"]
    Get Element    css=div[role="alert"].alert.alert-success
    Click        css=form[method="post"]:not([action]) a[href^="/users/auth/emergency-code"]
    ${code} =    Get Line    ${codes}    0
    Fill Text    css=form[method="post"]:not([action]) input[name="emergency_code"]    ${code}
    Click        css=form[method="post"]:not([action]) button[type="submit"]
    Get Url    $=    /ui/welcome
    Get Element    css=div[role="alert"].alert.alert-success
    Get Element    css=footer a[href^="/users/auth/logout"].btn.btn-warning
