*** Settings ***
Documentation        Check the registration and login procedures
Resource             ../Keywords/django.resource
Library              Browser
Library              String

Suite Setup          Solawi-Suite Inner Setup
Suite Teardown       Solawi-Suite Inner Teardown

*** Test Cases ***
Invalid Credentials
    Open Page    /
    ${response} =    Http         /health/
    Should Be Equal As Integers    ${response.status}    403
    
Valid Credentials
    ${token_result} =    Run Manage.Py Command    create_health_api_access_token
    ${token_data} =    Decode Bytes To String    ${token_result.stdout}    utf-8
    @{splits} =    Split String    ${token_data}        :
    Length Should Be    ${splits}    4
    ${header} =    Strip String    ${splits[1]}
    ${token_id} =    Strip String    ${splits[2]}
    ${token_code} =    Strip String    ${splits[3]}
    ${auth_token} =    Set Variable    ${token_id}:${token_code}
    Open Page    /
    ${response} =    Http    /health/    headers={"${header}": "${auth_token}"}
    Should Be Equal As Integers    ${response.status}    200
