*** Settings ***
Documentation        Test Using Passkeys
Resource             ../Keywords/django.resource
Resource             ../Keywords/registration_and_login.resource
Library              solawi_uat.helper.TimingLib
Library              Dialogs

Suite Setup          Solawi-Suite Inner Setup
Suite Teardown       Solawi-Suite Inner Teardown


*** Test Cases ***
Create Passkey And Use For Login
    [Tags]    manual
    ${now} =    Now
    ${username} =    Get Random E-Mail Address
    Run Manage.Py Command    invite_user    ${username}
    ${mail_content} =    Get Latest Mail    ${now}
    ${password} =    Get Random Password
    Do Registration And Login As User "${username}"    ${mail_content}    ${True}    ${password}
    Get Element    css=header div[role="alert"].alert-warning.alert-dismissible a[href^="/passkey/"].btn.btn-sm
    Click    css=header div[role="alert"].alert-warning.alert-dismissible a[href^="/passkey/"].btn.btn-sm
    Get Url    *=    /passkey/
    Click     css=a[href="/passkey/add"].btn.btn-success
    Execute Manual Step    Please create a passkey now
    Logout
    Click     css=a[href^="/users/auth/login"].btn
    Click     css=div.card div.card-body a[href^="/passkey/auth"].btn.btn-lg
    Execute Manual Step    Please authenticate with Passkey now
    Get Url    $=    /ui/welcome
    Get Element    css=div[role="alert"].alert.alert-success
    Get Element    css=footer a[href^="/users/auth/logout"].btn.btn-warning
