*** Settings ***
Documentation        Check the registration and login procedures
Resource             ../Keywords/django.resource
Resource             ../Keywords/registration_and_login.resource
Library              solawi_uat.helper.RandomTestDataLib
Library              solawi_uat.helper.TimingLib
Library              String

Suite Setup       Solawi-Suite Inner Setup
Suite Teardown    Solawi-Suite Inner Teardown


*** Test Cases ***
Registration As Normal User And Login With Username/Password/TOTP
    ${now} =    Now
    ${email} =    Get Random E-Mail Address
    Run Manage.Py Command    invite_user    ${email}
    ${mail_content} =    Get Latest Mail    ${now}
    Do Registration And Login As User "${email}"    ${mail_content}
    Click          css=footer button[data-bs-toggle="dropdown"]
    Get Element    css=footer ul.dropdown-menu li a[href="/users/self-service"].dropdown-item

Registration As Super User And Login With Username/Password/TOTP
    ${now} =    Now
    ${email} =    Get Random E-Mail Address
    ${data} =    Run Manage.Py Command    createsuperuser    ${email}
    ${link_code} =    Decode Bytes To String    ${data.stdout}    "utf-8"
    @{link_code} =    Split String    ${link_code}    :    1
    ${link_code} =    Strip String    ${link_code[1]}
    Do Registration And Login As User "${email}"    ${link_code}    ${False}
    Get Element    css=footer ul.dropdown-menu li a[href="/admin/"].dropdown-item
    Click          css=footer button[data-bs-toggle="dropdown"]
    Get Element    css=footer ul.dropdown-menu li a[href="/users/self-service"].dropdown-item
