#!/bin/bash

DEPLOY_DIR=$(dirname -- "$( readlink -f -- \"$0\"; )");
BASE_DIR=$(readlink -f -- "$DEPLOY_DIR/..")

# Submodules Update
cd "$BASE_DIR" || exit 1
git submodule update

# 3rd Party Update
cd "$BASE_DIR/3rdparty" || exit 1
yarn install

# Poetry dependency Update
cd "$BASE_DIR" || exit 1
poetry install --without dev --sync

# Documentation build
cd "$BASE_DIR/documentation" || exit 1
poetry run mkdocs build

# Database update
cd "$BASE_DIR" || exit 1
poetry run manage.py migrate --no-input

# Static Files Update
cd "$BASE_DIR" || exit 1
poetry run manage.py collectstatic --no-input

# Instance Restart
supervisorctl restart solawi_suite
