from django.urls import path, register_converter

from solawi_apps.ahg.views.ahgs import AhgListView, AhgCreateView, AhgEditView, AhgDetailView, AhgDeleteView
from solawi_apps.db_lib.dbid import NanoIdConverter


register_converter(NanoIdConverter, "nanoid")


urlpatterns = [
    path("", AhgListView.as_view(), name="list"),
    path("new", AhgCreateView.as_view(), name="new"),
    path("<nanoid:pk>/edit", AhgEditView.as_view(), name="edit"),
    path("<nanoid:pk>", AhgDetailView.as_view(), name="detail"),
    path("<nanoid:pk>/delete", AhgDeleteView.as_view(), name="delete"),
]
app_name = 'solawi_apps.ahg'
