from typing import Optional, List

from django.http import HttpRequest
from django.utils.safestring import SafeString


CONTEXT_SESSION_KEY = "__solawi-suite__announce__context__"


def add_announcement_to_context(
    request: HttpRequest,
    level: int,
    announcement: SafeString,
    announce_id: Optional[str] = None,
    url_filter: Optional[List[str]] = None,
):
    if (context := request.session.get(CONTEXT_SESSION_KEY, None)) is None:
        context = []
    if announce_id is not None:
        already_in = False
        for a_id, _, _, _ in context:
            if a_id == announce_id:
                already_in = True
                break
        if not already_in:
            context.append((announce_id, level, announcement, url_filter))
    else:
        context.append((None, level, announcement, url_filter))
    request.session[CONTEXT_SESSION_KEY] = context
