import datetime
import solawi_apps.db_lib.dbid
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='MemberAnnouncement',
            fields=[
                ('id', models.CharField(default=solawi_apps.db_lib.dbid.generate_id, editable=False, max_length=32, primary_key=True, serialize=False, validators=[solawi_apps.db_lib.dbid.validate_nanoid], verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Erstellt')),
                ('last_modified', models.DateTimeField(auto_now=True, verbose_name='Zuletzt geändert')),
                ('enabled', models.BooleanField(default=False, verbose_name='Aktiviert')),
                ('active_from', models.DateTimeField(default=datetime.datetime(2000, 1, 1, 0, 0, tzinfo=datetime.timezone.utc), verbose_name='Aktiv ab')),
                ('active_to', models.DateTimeField(default=datetime.datetime(2999, 12, 31, 23, 59, 59, 999999, tzinfo=datetime.timezone.utc), verbose_name='Aktiv bis')),
                ('level', models.PositiveSmallIntegerField(choices=[(20, 'info'), (30, 'warning'), (40, 'error'), (25, 'success')], default=20, verbose_name='Level')),
                ('content', models.TextField(max_length=100000, verbose_name='Inhalt')),
                ('link', models.TextField(blank=True, max_length=1000, null=True, verbose_name='Link')),
                ('link_title', models.TextField(blank=True, max_length=10000, null=True, verbose_name='Link-Titel')),
                ('dismissible', models.BooleanField(default=True, verbose_name='Kann geschlossen werden')),
            ],
            options={
                'verbose_name': 'Ankündigung für Mitglieder',
                'verbose_name_plural': 'Ankündigungen für Mitglieder',
            },
        ),
        migrations.CreateModel(
            name='PublicAnnouncement',
            fields=[
                ('id', models.CharField(default=solawi_apps.db_lib.dbid.generate_id, editable=False, max_length=32, primary_key=True, serialize=False, validators=[solawi_apps.db_lib.dbid.validate_nanoid], verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Erstellt')),
                ('last_modified', models.DateTimeField(auto_now=True, verbose_name='Zuletzt geändert')),
                ('enabled', models.BooleanField(default=False, verbose_name='Aktiviert')),
                ('active_from', models.DateTimeField(default=datetime.datetime(2000, 1, 1, 0, 0, tzinfo=datetime.timezone.utc), verbose_name='Aktiv ab')),
                ('active_to', models.DateTimeField(default=datetime.datetime(2999, 12, 31, 23, 59, 59, 999999, tzinfo=datetime.timezone.utc), verbose_name='Aktiv bis')),
                ('level', models.PositiveSmallIntegerField(choices=[(20, 'info'), (30, 'warning'), (40, 'error'), (25, 'success')], default=20, verbose_name='Level')),
                ('content', models.TextField(max_length=100000, verbose_name='Inhalt')),
                ('link', models.TextField(blank=True, max_length=1000, null=True, verbose_name='Link')),
                ('link_title', models.TextField(blank=True, max_length=10000, null=True, verbose_name='Link-Titel')),
                ('dismissible', models.BooleanField(default=True, verbose_name='Kann geschlossen werden')),
            ],
            options={
                'verbose_name': 'Öffentliche Ankündigung',
                'verbose_name_plural': 'Öffentliche Ankündigungen',
            },
        ),
    ]
