from django.db import migrations


DEFAULT_PERMISSIONS = (
    'solawi_apps.beamer',
    'solawi_apps.changelog',
    'solawi_apps.passkeys',
)


def add_default_permissions(apps, schema_editor):
    DefaultPermission = apps.get_model('app_permission', 'DefaultPermission')
    DefaultPermission.objects.bulk_create([
        DefaultPermission(app_name=d, enabled=True) for d in DEFAULT_PERMISSIONS
    ], ignore_conflicts=True)


class Migration(migrations.Migration):

    dependencies = [
        ('app_permission', '0002_defaultpermission'),
    ]

    operations = [
        migrations.RunPython(add_default_permissions)
    ]
