from django.test import TestCase

from solawi_apps.app_permission.integration import get_all_installed_app_labels


class InstalledAppsTest(TestCase):

    def test_identifier_of_installed_apps(self):
        cases = [a[0] for a in get_all_installed_app_labels()]
        for case in cases:
            with self.subTest(case=case):
                self.assertTrue(case.startswith("solawi_apps."))

    def test_label_of_installed_apps(self):
        cases = [a[1] for a in get_all_installed_app_labels()]
        for case in cases:
            with self.subTest(case=case):
                self.assertTrue(case.startswith("[solawi-suite] "))
