from django_eventstream.channelmanager import DefaultChannelManager


SCREEN_CODE_SESSION_KEY = "__beamer_screen_code__"


class BeamerChannelManager(DefaultChannelManager):

    def __init__(self):
        super().__init__()
        self.__allowed_channels = []

    def is_channel_reliable(self, channel):
        return False

    def get_channels_for_request(self, request, view_kwargs):
        if (d := request.session.get(SCREEN_CODE_SESSION_KEY, None)) is not None:
            self.__allowed_channels.append(f"beamer-{d}")
        return self.__allowed_channels

    def can_read_channel(self, user, channel):
        return channel in self.__allowed_channels
