from django import forms
from django.core.validators import RegexValidator
from django.utils.translation import gettext_lazy as _


class CodeForm(forms.Form):

    screen_code = forms.CharField(label=_("Screen Code"), min_length=16, max_length=16, required=True, validators=[
        RegexValidator(regex=r"^\d{16}$"),
    ])


class MessageForm(forms.Form):

    message = forms.CharField(label=_("Nachricht"), min_length=1, max_length=200, required=True)
    message.widget.attrs.update({'placeholder': _("Test-Nachricht")})
