from django.core.signing import Signer
from django.urls import reverse
from django.utils.http import urlsafe_base64_encode


def make_qr_code_link(url: str) -> str:
    signer = Signer()
    signed_url = urlsafe_base64_encode(signer.sign(url).encode("utf-8"))
    return reverse("solawi_apps.beamer:qr-code", kwargs={"url_signed": signed_url})
