from django.http import HttpRequest
from django_eventstream import send_event

from solawi_apps.beamer.config import CONNECTED_BEAMERS_SESSION_KEY


def send_rendered_slide(request: HttpRequest, rendered_slide: str):
    if (connected_screens := request.session.get(CONNECTED_BEAMERS_SESSION_KEY, None)) is None:
        return
    if not isinstance(connected_screens, list):
        return
    for screen in connected_screens:
        send_event(
            f"beamer-{screen}",
            "message",
            rendered_slide,
        )
