((rev, win, doc) => {

    const eventSource = new ReconnectingEventSource(doc.querySelector("body").getAttribute("data-event-source"));

    const reset = () => {
        rev.slide(0);
        doc.querySelectorAll(".slides section").forEach((element, index) => {
           if (index > 0) {
               doc.querySelector(".slides").removeChild(element);
           }
        });
        rev.sync();
    };

    eventSource.addEventListener('message', (e) => {
        if (e.data === '"reset"' || e.data === "reset") {
            reset();
            return;
        }
        const slide = doc.querySelector("template#solawi-slide").content.cloneNode(true);
        doc.querySelector(".slides").appendChild(slide);
        doc.querySelector(".slides section:last-child").innerHTML = JSON.parse(e.data);
        rev.sync();
        while (!rev.isLastSlide()) {
            rev.next();
        }
    }, false);

    eventSource.addEventListener('stream-reset', (e) => {
        reset();
    }, false);

})(Reveal, window, document);
