from django import forms
from django.forms import ClearableFileInput
from django.utils.translation import gettext_lazy as _

from solawi_apps.bidding.models import Share


class ShareForm(forms.ModelForm):

    class Meta:
        model = Share
        fields = ["divider", "share_id", "owner_name", "owner_email"]


class ImportForm(forms.Form):

    file = forms.FileField(
        label=_("Anteils-Datei"),
        allow_empty_file=False,
        required=True,
    )
    overwrite_with_same_id = forms.BooleanField(
        initial=False,
        label=_("Anteile mit gleicher ID überschreiben"),
        required=False,
    )
    ignore_errors = forms.BooleanField(
        initial=False,
        label=_("Fehler ignorieren"),
        required=False,
    )
