import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('bidding', '0002_alter_event_unique_together'),
    ]

    operations = [
        migrations.AlterField(
            model_name='fiscalplan',
            name='default_bid_percentage_of_bids_average',
            field=models.DecimalField(decimal_places=3, default=0.0, max_digits=10, validators=[django.core.validators.MinValueValidator(limit_value=0), django.core.validators.MaxValueValidator(limit_value=9999999.999)], verbose_name='Standardgebot in Prozent des Durchschnitts aller abgegebenen Gebote'),
        ),
        migrations.AlterField(
            model_name='fiscalplan',
            name='default_bid_percentage_of_soli_average',
            field=models.DecimalField(decimal_places=3, default=0.0, max_digits=10, validators=[django.core.validators.MinValueValidator(limit_value=0), django.core.validators.MaxValueValidator(limit_value=9999999.999)], verbose_name='Standardgebot in Prozent des mittleren Solidarbeitrags'),
        ),
        migrations.AlterField(
            model_name='fiscalplan',
            name='minimum_bid_percentage_of_soli_average',
            field=models.DecimalField(decimal_places=3, default=0.0, max_digits=10, validators=[django.core.validators.MinValueValidator(limit_value=0), django.core.validators.MaxValueValidator(limit_value=9999999.999)], verbose_name='Minimalgebot in Prozent des mittleren Solidarbeitrags'),
        ),
        migrations.AlterField(
            model_name='fiscalplan',
            name='required_amount',
            field=models.DecimalField(decimal_places=2, max_digits=16, validators=[django.core.validators.MinValueValidator(limit_value=0), django.core.validators.MaxValueValidator(limit_value=99999999999999.98)], verbose_name='Benötigter Betrag'),
        ),
    ]
