import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('bidding', '0003_alter_fiscalplan_default_bid_percentage_of_bids_average_and_more'),
    ]

    operations = [
        migrations.AlterField(
            model_name='prebid',
            name='fixed_value',
            field=models.DecimalField(decimal_places=2, default=0.0, max_digits=16, validators=[django.core.validators.MinValueValidator(limit_value=0)], verbose_name='Fester Gebotsbetrag'),
        ),
        migrations.AlterField(
            model_name='prebid',
            name='from_round',
            field=models.PositiveIntegerField(default=1, validators=[django.core.validators.MinValueValidator(limit_value=1)], verbose_name='Gültig ab Runde'),
        ),
        migrations.AlterField(
            model_name='prebid',
            name='percentage_of_average_bid',
            field=models.DecimalField(decimal_places=3, default=0.0, max_digits=10, validators=[django.core.validators.MinValueValidator(limit_value=0)], verbose_name='Prozentsatz vom Mittelwert aller abgegebenen Gebote'),
        ),
        migrations.AlterField(
            model_name='prebid',
            name='percentage_of_average_soli',
            field=models.DecimalField(decimal_places=3, default=0.0, max_digits=10, validators=[django.core.validators.MinValueValidator(limit_value=0)], verbose_name='Prozentsatz vom mittleren Solidarbeitrag'),
        ),
        migrations.AlterField(
            model_name='share',
            name='divider',
            field=models.PositiveIntegerField(default=1, validators=[django.core.validators.MinValueValidator(limit_value=1), django.core.validators.MaxValueValidator(limit_value=10)], verbose_name='Teiler'),
        ),
    ]
