import datetime
import django.db.models.deletion
import solawi_apps.db_lib.dbid
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('bidding', '0008_remove_bid_trace'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='TeamMember',
            fields=[
                ('id', models.CharField(default=solawi_apps.db_lib.dbid.generate_id, editable=False, max_length=32, primary_key=True, serialize=False, validators=[solawi_apps.db_lib.dbid.validate_nanoid], verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Erstellt')),
                ('last_modified', models.DateTimeField(auto_now=True, verbose_name='Zuletzt geändert')),
                ('enabled', models.BooleanField(default=False, verbose_name='Aktiviert')),
                ('active_from', models.DateTimeField(default=datetime.datetime(2000, 1, 1, 0, 0, tzinfo=datetime.timezone.utc), verbose_name='Aktiv ab')),
                ('active_to', models.DateTimeField(default=datetime.datetime(2999, 12, 31, 23, 59, 59, 999999, tzinfo=datetime.timezone.utc), verbose_name='Aktiv bis')),
                ('perm_start_round', models.BooleanField(default=False, verbose_name='Berechtigung: Runde starten')),
                ('perm_end_round', models.BooleanField(default=False, verbose_name='Berechtigung: Runde beenden')),
                ('perm_get_report', models.BooleanField(default=False, verbose_name='Berechtigung: Auswertung abrufen')),
                ('perm_add_bid', models.BooleanField(default=False, verbose_name='Berechtigung: Gebot erfassen')),
                ('perm_add_prebid', models.BooleanField(default=False, verbose_name='Berechtigung: Vorabgebot erfassen')),
                ('event_fk', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='bidding.event', verbose_name='Ereignis')),
                ('user_fk', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='Benutzer')),
            ],
            options={
                'verbose_name': 'Teammitglied',
                'verbose_name_plural': 'Teammitglieder',
                'default_permissions': (),
                'unique_together': {('event_fk', 'user_fk')},
            },
        ),
    ]
