from typing import List

from django.template.loader import get_template

from solawi_apps.bidding.models import Event, Share
from solawi_apps.bidding.pdf import render_pdf


def get_sum_of_shares(event: Event) -> float:
    share_sum = 0
    for s in Share.objects.filter(event_fk=event).only("divider").all():
        share_sum += 1.0 / s.divider
    return round(share_sum, 2)


def get_share_sheet_pdf(shares: List[Share]) -> bytes:
    printable_template = get_template("solawi_apps/bidding/shares/printable_sheet.html")
    rendered_template = printable_template.render({"shares": shares})
    return render_pdf(rendered_template)
