import django.db.models.deletion
import solawi_apps.db_lib.dbid
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Version',
            fields=[
                ('id', models.CharField(default=solawi_apps.db_lib.dbid.generate_id, editable=False, max_length=32, primary_key=True, serialize=False, validators=[solawi_apps.db_lib.dbid.validate_nanoid], verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Erstellt')),
                ('enabled', models.BooleanField(default=False, verbose_name='Aktiviert')),
                ('version_identifier', models.CharField(max_length=255, unique=True, verbose_name='Versionsbezeichnung')),
                ('release_datetime', models.DateTimeField(verbose_name='Veröffentlichungszeitpunkt')),
                ('note_md', models.TextField(max_length=1000000, null=True, verbose_name='Notiz (Markdown)')),
            ],
            options={
                'verbose_name': 'Changelog-Version',
                'verbose_name_plural': 'Changelog-Versionen',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='Item',
            fields=[
                ('id', models.CharField(default=solawi_apps.db_lib.dbid.generate_id, editable=False, max_length=32, primary_key=True, serialize=False, validators=[solawi_apps.db_lib.dbid.validate_nanoid], verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Erstellt')),
                ('enabled', models.BooleanField(default=False, verbose_name='Aktiviert')),
                ('enhancement_type', models.CharField(choices=[('bugfix', 'Fehlerbehebung'), ('feature', 'Neue Funktionalität'), ('enhancement', 'Verbesserung')], max_length=128, verbose_name='Typ')),
                ('requires_db_update', models.BooleanField(verbose_name='Benötigt Datenbank-Schema-Aktualisierung')),
                ('is_breaking_change', models.BooleanField(verbose_name='Ist Breaking Change')),
                ('title', models.TextField(max_length=10000, verbose_name='Titel')),
                ('note_md', models.TextField(max_length=100000, null=True, verbose_name='Notiz (Markdown)')),
                ('version_fk', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='changelog.version', verbose_name='Version')),
            ],
            options={
                'verbose_name': 'Changelog-Eintrag',
                'verbose_name_plural': 'Changelog-Einträge',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='Ticket',
            fields=[
                ('id', models.CharField(default=solawi_apps.db_lib.dbid.generate_id, editable=False, max_length=32, primary_key=True, serialize=False, validators=[solawi_apps.db_lib.dbid.validate_nanoid], verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Erstellt')),
                ('enabled', models.BooleanField(default=False, verbose_name='Aktiviert')),
                ('ticket', models.CharField(max_length=128, verbose_name='Ticket')),
                ('ticket_url', models.URLField(max_length=255, null=True, verbose_name='Ticket-URL')),
                ('item_fk', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='changelog.item', verbose_name='Changelog-Eintrag')),
            ],
            options={
                'verbose_name': 'Ticket',
                'verbose_name_plural': 'Tickets',
                'default_permissions': (),
                'unique_together': {('item_fk', 'ticket')},
            },
        ),
    ]
