from django.db.models import Prefetch
from django.views.generic import ListView

from solawi_apps.changelog.mixin import LoginRequiredMixin
from solawi_apps.changelog.models import Version, Item


class ChangelogView(LoginRequiredMixin, ListView):

    queryset = Version.objects.filter(enabled=True).order_by("-release_datetime", "-created")
    paginate_by = 10
    template_name = "solawi_apps/changelog/changelog.html"
