from django.contrib.auth.hashers import make_password
from django.core.management import BaseCommand

from solawi_apps.health.models import AccessToken
from solawi_apps.health.verification import get_verification_code


class Command(BaseCommand):

    help = 'Creates health API access token'

    @staticmethod
    def get_new_token() -> str:
        new_token = get_verification_code()
        hashed = make_password(new_token)
        token_object = AccessToken.objects.create(
            verification_code=hashed,
            enabled=True,
        )
        return f"X-Solawi-Suite-Access-Token: {token_object.id}:{new_token}"

    def handle(self, *args, **options):
        self.stdout.write(
            self.style.SUCCESS('Erfolg: ') + Command.get_new_token()
        )
