from django.db import models
from django.utils.translation import gettext_lazy as _

from solawi_apps.db_lib.models import (NanoIdPkMixin, CreatedMixin, LastModifiedMixin, EnabledMixin, ActiveFromMixin,
                                       ActiveToMixin)


class AccessToken(
    NanoIdPkMixin, CreatedMixin, LastModifiedMixin, EnabledMixin, ActiveFromMixin, ActiveToMixin, models.Model
):

    class Meta:
        verbose_name = _('Zugangstoken')
        verbose_name_plural = _('Zugangstokens')

    verification_code = models.CharField(
        verbose_name=_("Verifizierungscode"), editable=False, null=False, blank=False, max_length=255
    )

    def __str__(self):
        return _("Verifizierungscode %s") % self.id
