((w, d) => {

    const { startAuthentication } = SimpleWebAuthnBrowser;

    const initAuth = (container) => {
        const token = container.getAttribute("data-token");
        const initUrl = container.getAttribute("data-init-url");
        const loginUrl = container.getAttribute("data-login-url");
        const basicLoginUrl = container.getAttribute("data-basic-login-url");
        const welcomeUrl = container.getAttribute("data-welcome-url");

        fetch(initUrl, {
            method: "post",
            cache: "no-cache",
            headers: {
                "x-solawi-suite-csrf-token": token,
            },
            mode: "same-origin",
            body: null,
        }).then((options) => {
            options.json().then((value) => {
                startAuthentication(value).then((auth) => {
                    fetch(loginUrl, {
                        method: "post",
                        cache: "no-cache",
                        headers: {
                            "x-solawi-suite-csrf-token": token,
                            "content-type": "application/json",
                        },
                        mode: "same-origin",
                        body: JSON.stringify(auth),
                    }).then((result) => {
                        if (result.status === 200) {
                            document.location.href = welcomeUrl;
                        }
                        else if (result.status >= 400 && result.status <= 499) {
                            document.location.href = basicLoginUrl;
                        }
                        else {
                            container.querySelector('[data-passkey-status]').innerText = result.status + " / " + result.statusText;
                        }
                    }).catch((reason) => {
                        container.querySelector('[data-passkey-status]').innerText = reason;
                    });
                }).catch((reason) => {
                    container.querySelector('[data-passkey-status]').innerText = reason;
                });
            }).catch((reason) => {
                container.querySelector('[data-passkey-status]').innerText = reason;
            });
        });
    };

    initAuth(document.querySelector('[data-passkey]'));

})(window, document);