from django.urls import path, register_converter

from solawi_apps.db_lib.dbid import NanoIdConverter
from solawi_apps.passkeys.views.auth import PasskeyLoginView, PasskeyAuthOptionsView, PasskeyAuthView
from solawi_apps.passkeys.views.user import ListPasskeysView, AddPasskeyView, DeletePasskeyView, ManagePasskeyView, \
    InitCreatePasskeyView, VerifyCreatePasskeyView

register_converter(NanoIdConverter, "nanoid")


urlpatterns = [
    path("add", AddPasskeyView.as_view(), name="passkeys.add"),
    path("add/init", InitCreatePasskeyView.as_view(), name="passkeys.add.init"),
    path("add/verify", VerifyCreatePasskeyView.as_view(), name="passkeys.add.verify"),
    path("<nanoid:pk>", ManagePasskeyView.as_view(), name="passkeys.manage"),
    path("<nanoid:pk>/delete", DeletePasskeyView.as_view(), name="passkeys.delete"),
    path("auth", PasskeyLoginView.as_view(), name="passkeys.auth"),
    path("auth/init", PasskeyAuthOptionsView.as_view(), name="passkeys.auth.init"),
    path("auth/login", PasskeyAuthView.as_view(), name="passkeys.auth.login"),
    path("", ListPasskeysView.as_view(), name="passkeys"),
]
app_name = 'solawi_apps.passkeys'
