from django.contrib import admin
from django.utils.translation import gettext_lazy as _


class AnnouncementAdmin(admin.ModelAdmin):

    list_display = ("content", "level", "enabled", "active_from", "active_to", "created")
    ordering = ("-enabled", "-created")
    search_fields = ("content",)

    readonly_fields = ("id", "created", "last_modified")

    fieldsets = (
        (_("Ankündigung"), {
            "fields": ("content", "level", "link", "link_title", "dismissible"),
        }),
        (_("Verfügbarkeit"), {
            "fields": ("enabled", "active_from", "active_to"),
        }),
        (_("Meta"), {
            "fields": ("id", "created", "last_modified"),
        }),
    )
