from django.contrib import admin
from django.utils.translation import gettext_lazy as _


class TxtFileAdmin(admin.ModelAdmin):

    list_display = ("filename", "folder", "enabled", "last_modified")

    search_fields = ("filename", "folder", "content")
    list_filter = ("folder",)

    ordering = ("folder", "filename")

    fieldsets = (
        (_("Datei"), {
            "fields": ("folder", "filename"),
        }),
        (_("Inhalt"), {
            "fields": ("content", "line_endings"),
        }),
        (_("Gültigkeit"), {
            "fields": ("enabled",),
        }),
        (_("Meta"), {
            "fields": ("id", "created", "last_modified",),
        }),
    )

    readonly_fields = ("id", "created", "last_modified")
