from django.db import migrations


def update_robot_txt(apps, schema_editor):
    TxtFile = apps.get_model('txt', 'TxtFile')
    try:
        robots_txt = TxtFile.objects.filter(folder__isnull=True).get(filename='robots.txt')
    except (TxtFile.DoesNotExist, TxtFile.MultipleObjectsReturned):
        return
    line_content = robots_txt.content.strip().splitlines()
    line_content.append("Sitemap: https://solawi.me/sitemap.xml")
    robots_txt.content = ("\r\n" if robots_txt.line_endings == "crlf" else "\n").join(line_content)
    robots_txt.save()


class Migration(migrations.Migration):

    dependencies = [
        ('txt', '0002_initial_contents'),
    ]

    operations = [
        migrations.RunPython(update_robot_txt),
    ]
