from django.db import migrations


ROBOTS_TXT = """
User-Agent: *
Disallow: /
Allow: /static/solawi-suite-manual/
Allow: /handbook/
Allow: /ui/
Allow: /sitemaps/
Sitemap: https://solawi.me/sitemaps/sitemap.xml
""".strip()


def update_robots_txt(apps, schema_editor):
    TxtFile = apps.get_model('txt', 'TxtFile')
    TxtFile.objects.filter(folder=None, filename="robots.txt").update(content=ROBOTS_TXT)


class Migration(migrations.Migration):

    dependencies = [
        ('txt', '0003_include_sitemap'),
    ]

    operations = [
        migrations.RunPython(update_robots_txt),
    ]
