from typing import Union

from django.forms import Form, ModelForm


class ErrorSensitiveFormViewMixin:

    def form_invalid(self, form: Union[Form, ModelForm]):
        for name, field in form.fields.items():
            if name in form.errors.keys():
                current_classing = form.fields[name].widget.attrs.get("class", None)
                if current_classing is None:
                    current_classing = ""
                form.fields[name].widget.attrs['class'] = f"{current_classing} is-invalid".strip()
        return super().form_invalid(form)
