from django.conf import settings


class AccessControlAllowOriginMiddleware:

    def __init__(self, get_response):
        self.get_response = get_response

    def __call__(self, request):
        response = self.get_response(request)
        if response.get("Access-Control-Allow-Origin") is None:
            if (rule := settings.ACCESS_CONTROL_ALLOW_ORIGIN) is not None:
                response["Access-Control-Allow-Origin"] = rule
        return response
