from typing import Optional

from django import template
from django.template import RequestContext

from solawi_apps.ui.middleware.request_id import get_request_id

register = template.Library()


@register.simple_tag(takes_context=True, name="get_request_id")
def get_request_id_for_template(context: RequestContext) -> str:
    return get_request_id(context.request)


@register.simple_tag(takes_context=True, name="get_app_name")
def get_app_name(context: RequestContext) -> Optional[str]:
    if (request := context.request) is not None:
        if (resolver_match := getattr(request, "resolver_match", None)) is not None:
            if (app_name := getattr(resolver_match, "app_name", None)) is not None:
                return app_name
    return None
