from django import template
from django.conf import settings

register = template.Library()


@register.inclusion_tag(
    "solawi_apps/ui/tags/solawi_suite_apps/for_header.html",
    takes_context=True,
    name="solawi_suite_apps_for_header",
)
def get_solawi_suite_apps_for_header(context: template.RequestContext) -> dict:
    active_app = None
    if (request := context.request) is not None:
        if (resolver_match := getattr(request, "resolver_match", None)) is not None:
            if (app_name := getattr(resolver_match, "app_name", None)) is not None:
                active_app = app_name
    return {
        "active_app": active_app,
        "available_apps": settings.AVAILABLE_SOLAWI_SUITE_APPS,
        "is_enabled": context.request.user.is_authenticated,
    }


@register.inclusion_tag(
    "solawi_apps/ui/tags/solawi_suite_apps/app_icons.html",
    takes_context=True,
    name="solawi_suite_app_icons"
)
def get_solawi_suite_app_icons(context: template.RequestContext) -> dict:
    return {
        "available_apps": settings.AVAILABLE_SOLAWI_SUITE_APPS,
        "is_enabled": context.request.user.is_authenticated,
    }
