from django.urls import path

from solawi_apps.ui.views.basics import ImprintView, ContactView, AboutView
from solawi_apps.ui.views.favicons import SiteWebmanifestView, BrowserconfigXmlView
from solawi_apps.ui.views.tracking import MatomoJSView
from solawi_apps.ui.views.welcome import WelcomeView

urlpatterns = [
    path("welcome", WelcomeView.as_view(), name="welcome"),
    path("impressum", ImprintView.as_view(), name="imprint"),
    path("contact", ContactView.as_view(), name="contact"),
    path("about", AboutView.as_view(), name="about"),
    path("matomo.js", MatomoJSView.as_view(), name="matomo"),
    path("site.webmanifest", SiteWebmanifestView.as_view(), name="site.webmanifest"),
    path("browserconfig.xml", BrowserconfigXmlView.as_view(), name="browserconfig.xml"),
]
app_name = "solawi_apps.ui"
