from django.test import SimpleTestCase

from solawi_apps.url.params import EncryptedParameter
from solawi_apps.url.params import encrypt_str_parameter, decrypt_str_parameter


class ParameterEncryptionTest(SimpleTestCase):

    def test_roundtrip_str(self):
        cases = (
            ("payload", None),
            ("payload", ""),
            ("payload", "purpose"),
        )
        for payload, purpose in cases:
            with self.subTest(payload=payload, purpose=purpose):
                encrypted_payloads = []  # type: list[EncryptedParameter]
                for _ in range(10):
                    new_payload = encrypt_str_parameter(payload, purpose)
                    self.assertNotIn(new_payload.payload, [e.payload for e in encrypted_payloads])
                    encrypted_payloads.append(new_payload)
                for encrypted_payload in encrypted_payloads:
                    decrypted = decrypt_str_parameter(encrypted_payload)
                    self.assertEqual(decrypted, payload)
