from django.apps import AppConfig
from django.utils.translation import gettext_lazy as _


class UserConfig(AppConfig):
    default_auto_field = 'django.db.models.BigAutoField'
    name = 'solawi_apps.user'
    verbose_name = _("[solawi-suite] User Management")

    def ready(self):
        from django.contrib.auth import user_logged_in
        from solawi_apps.user.session import connect_user_and_session
        user_logged_in.connect(connect_user_and_session)
