from django import forms
from django.utils.translation import gettext_lazy as _

from solawi_apps.user.otp import make_otp_input_field


class OldPasswordForm(forms.Form):

    old_password = forms.CharField(
        widget=forms.PasswordInput, required=True, min_length=10, max_length=1024, label=_("Aktuelles Passwort")
    )


class NewPasswordForm(forms.Form):

    new_password1 = forms.CharField(
        widget=forms.PasswordInput, required=True, min_length=10, max_length=1024, label=_("Neues Passwort")
    )
    new_password2 = forms.CharField(
        widget=forms.PasswordInput, required=True, min_length=10, max_length=1024, label=_("Neues Passwort bestätigen")
    )


class ChangePasswordForm(OldPasswordForm, NewPasswordForm):

    pass


class OtpChangeForm(OldPasswordForm):

    otp = make_otp_input_field()


class ForgotPasswordForm(forms.Form):

    email = forms.EmailField(label=_("E-Mail-Adresse"), required=True)
    email.widget.attrs.update({
        'placeholder': _("du@deine-solawi.local"),
    })
