from django import forms
from django.utils.translation import gettext_lazy as _

from solawi_apps.user.otp import make_otp_input_field


class Step1Form(forms.Form):

    email = forms.EmailField(label=_("E-Mail-Adresse"), required=True)
    email.widget.attrs.update({
        'placeholder': _("du@deine-solawi.local"),
    })


class Step2Form(forms.Form):

    first_name = forms.CharField(
        label=_("Vorname"), max_length=100, min_length=1, strip=True, empty_value=None, required=True
    )
    last_name = forms.CharField(
        label=_("Nachname"), max_length=100, min_length=1, strip=True, empty_value=None, required=True
    )
    otp = make_otp_input_field()
    password1 = forms.CharField(
        widget=forms.PasswordInput, required=True, min_length=10, max_length=1024, label=_("Passwort")
    )
    password2 = forms.CharField(
        widget=forms.PasswordInput, required=True, min_length=10, max_length=1024, label=_("Passwort bestätigen")
    )
