import socket
from typing import Optional

from django.http import HttpRequest
from ipware import get_client_ip


def get_ip(request: HttpRequest) -> Optional[str]:
    ip, _ = get_client_ip(request)
    return ip


def get_hostname(ip: Optional[str]) -> Optional[str]:
    if ip is None:
        return None
    try:
        hostname = socket.gethostbyaddr(ip)[0]
        return hostname
    except socket.herror:
        return None
