from datetime import timedelta

from django.contrib.auth import get_user_model
from django.core.management import BaseCommand
from django.utils.timezone import now

from solawi_apps.user.models import Registration


class Command(BaseCommand):

    def handle(self, *args, **options):
        t_now = now()
        Registration.objects.filter(registration_finished=True).delete()
        deletable_accounts = [r.user_fk_id for r in Registration.objects.filter(
            registration_finished=False,
            created__lt=t_now - timedelta(days=2, hours=4),
            user_fk__is_active=False,
        ).only("user_fk_id").all()]
        if len(deletable_accounts) > 0:
            get_user_model().objects.filter(pk__in=deletable_accounts).delete()
