from datetime import timedelta

from django.core.management import BaseCommand
from django.utils.timezone import now

from solawi_apps.user.models import AuthenticationAttempt, EmergencyCodeAttempt, LoginAttempt, OtpAttempt


class Command(BaseCommand):

    def handle(self, *args, **options):
        limit_value = now() - timedelta(days=3)
        AuthenticationAttempt.objects.filter(created__lt=limit_value).delete()
        EmergencyCodeAttempt.objects.filter(created__lt=limit_value).delete()
        LoginAttempt.objects.filter(created__lt=limit_value).delete()
        OtpAttempt.objects.filter(created__lt=limit_value).delete()
