import django.db.models.deletion
import solawi_apps.db_lib.dbid
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('user', '0005_forgotpassword'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='EmergencyCode',
            fields=[
                ('id', models.CharField(default=solawi_apps.db_lib.dbid.generate_id, editable=False, max_length=32, primary_key=True, serialize=False, validators=[solawi_apps.db_lib.dbid.validate_nanoid], verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Erstellt')),
                ('code_hash', models.CharField(editable=False, max_length=255, verbose_name='Code Hash')),
                ('owner_fk', models.ForeignKey(editable=False, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='Besitzer')),
            ],
            options={
                'verbose_name': 'Notfall-Code',
                'verbose_name_plural': 'Notfall-Codes',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='EmergencyCodeAttempt',
            fields=[
                ('id', models.CharField(default=solawi_apps.db_lib.dbid.generate_id, editable=False, max_length=32, primary_key=True, serialize=False, validators=[solawi_apps.db_lib.dbid.validate_nanoid], verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Erstellt')),
                ('success', models.BooleanField(default=False, editable=False, verbose_name='Erfolgreicher Versuch')),
                ('ip', models.GenericIPAddressField(default=None, null=True, verbose_name='IP Adresse')),
                ('user_fk', models.ForeignKey(editable=False, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='User')),
            ],
            options={
                'verbose_name': 'Notfall-Code-Versuch',
                'verbose_name_plural': 'Notfall-Code-Versuche',
                'default_permissions': (),
            },
        ),
    ]
