from django.contrib.sessions.models import Session
from django.http import HttpRequest

from solawi_apps.user.models import UserSession


def connect_user_and_session(sender, request: HttpRequest, user, **kwargs):
    UserSession.objects.update_or_create(
        session_fk_id=request.session.session_key,
        defaults={
            "user_fk": user,
        },
        create_defaults={
            "session_fk_id": request.session.session_key,
            "user_fk": user,
        }
    )


def logout_all_sessions(user):
    Session.objects.filter(usersession__user_fk=user).delete()
