from django.test import SimpleTestCase

from solawi_apps.user.otp import OtpCheckResult


class OtpCheckResultTest(SimpleTestCase):

    def test_otp_check_result(self):
        cases = (
            (OtpCheckResult(success=False, rate_limited=False), False),
            (OtpCheckResult(success=False, rate_limited=True), False),
            (OtpCheckResult(success=True, rate_limited=False), True),
            (OtpCheckResult(success=True, rate_limited=True), True),
        )
        for check_result, expected in cases:
            with self.subTest(case=check_result, expected=expected):
                if expected:
                    self.assertTrue(check_result)
                else:
                    self.assertFalse(check_result)
