from django.http import HttpRequest


def is_in_solawi_suite_app(request: HttpRequest, app_prefix: str = "solawi_apps.") -> bool:
    active_app = None
    if (resolver_match := getattr(request, "resolver_match", None)) is not None:
        if (app_name := getattr(resolver_match, "app_name", None)) is not None:
            active_app = app_name
    return active_app is not None and active_app.startswith(app_prefix)
