from django.contrib import sitemaps
from django.templatetags.static import static
from django.urls import reverse_lazy


class SolawiSuiteSitemap(sitemaps.Sitemap):

    priority = 0.5
    changefreq = "daily"

    d_locations = {
        "documentation": reverse_lazy("solawi_apps.handbook:home"),
        "about": reverse_lazy("solawi_apps.ui:about"),
        "manual": static("solawi-suite-manual/index.html"),
        "contact": reverse_lazy("solawi_apps.ui:contact"),
        "imprint": reverse_lazy("solawi_apps.ui:imprint"),
        "home": reverse_lazy("solawi_apps.ui:welcome"),
    }

    def items(self):
        return list(self.d_locations.keys())

    def location(self, item):
        return self.d_locations.get(item)


def get_sitemaps():
    return {
        "solawi-suite": SolawiSuiteSitemap,
    }
